import { z } from "zod";
import { ForgotPasswordDto } from "../passwords/forgot-password-dto";
import { SetStateFunc } from "../../../fd-toolbox/functions/internal-getter-setter-functions";
export declare const forgotPasswordSchema: z.ZodObject<{
    email: z.ZodString;
}, "strip", z.ZodTypeAny, {
    email?: string;
}, {
    email?: string;
}>;
/** @internal */
export declare function getForgotPasswordEmailInputId(): string;
/** @internal */
export declare function getForgotPasswordSendButtonId(): string;
/** @internal */
export declare function getForgotPasswordSuccessMessageId(): string;
export declare function onForgotPassword(data: ForgotPasswordDto, setShowSuccessMessage: SetStateFunc<boolean>): Promise<void>;
